Bug 1376134 - [RFE] Pulp should log content unit downloads at a level other than DEBUG
Summary: [RFE] Pulp should log content unit downloads at a level other than DEBUG
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
: 1400747 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-14 18:54 UTC by Rich Jerrido
Modified: 2021-04-06 18:14 UTC (History)
14 users (show)

Fixed In Version: pulp-2.13.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:35:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 2315 0 Normal CLOSED - CURRENTRELEASE Better logging at INFO level 2017-05-24 18:36:04 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Rich Jerrido 2016-09-14 18:54:43 UTC
Description of problem:
As a user of Satellite 6, I would like to have Pulp should log content unit downloads at a level other than DEBUG. 

Unit downloads are useful information that I would like to see logged at the INFO level, as it allows me to very easily determine when I have issues with content sync (and where my content is coming from if using an alternate content source).

Enabling debug logging for pulp does in fact work, but I got a LOT of other DEBUG logging (QPID debug logging for example), which is very very verbose.

Comment 2 pulp-infra@redhat.com 2016-11-21 18:51:26 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2016-11-21 18:51:29 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 Michael Hrivnak 2016-12-12 19:39:22 UTC
*** Bug 1400747 has been marked as a duplicate of this bug. ***

Comment 5 pulp-infra@redhat.com 2016-12-19 17:31:31 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2016-12-22 17:31:31 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2017-01-13 14:02:01 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2017-01-13 14:32:05 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 9 pulp-infra@redhat.com 2017-05-17 13:35:55 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2017-05-24 18:36:06 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 15 errata-xmlrpc 2018-02-21 12:35:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.